app/Suspect.php
<?php

namespace App;

use Illuminate\Database\Eloquent\Model;

class Suspect extends Model
{
    protected $fillable = ['nik', 'nama', 'tempat_lahir', 'tanggal_lahir', 'kelamin', 'alamat', 'phone', 'kebangsaan', 'pekerjaan', 'pendidikan', 'agama'];

    public function caases()
    {
        return $this->belongsToMany('App\Caase');
    }

    public function getJenkelaminAttribute()
    {
        if($this->kelamin == '1') {
            return 'Laki-laki';
        } else {
            return 'Perempuan';
        }
    }
}

app/Http/Controllers/SuspectController.php
<?php

namespace App\Http\Controllers;

use Illuminate\Http\Request;
use App\Suspect;

class SuspectController extends Controller
{
    public function __construct()
    {
        $this->middleware('auth');
    }

    /**
     * Display a listing of the resource.
     *
     * @return \Illuminate\Http\Response
     */
    public function index(Request $request)
    {
        //$request->user()->authorizeRoles(['admin','operator', 'kajari', 'kasipidum']);
        
        $suspect = Suspect::all();

        return view('modules.suspect.index', compact('suspect'))->with('i');
    }

    /**
     * Show the form for creating a new resource.
     *
     * @return \Illuminate\Http\Response
     */
    public function create()
    {
        return view('modules.suspect.create');
    }

    /**
     * Store a newly created resource in storage.
     *
     * @param  \Illuminate\Http\Request  $request
     * @return \Illuminate\Http\Response
     */
    public function store(Request $request)
    {
        // Disini Validasi
         $validateData = $request->validate([
            'nama' => 'required|unique:suspects',
            'tempat_lahir' => 'required',
            'tanggal_lahir' => 'required',
            'kelamin' => 'required',
            'alamat' => 'required'
        ]);            
       
        // Disini Insert ke Database
        
        /*$jenis = new Type([
            'perkara' => $request->perkara,
            'deskripsi' => $request->deskripsi
          ]);

        $jenis->save(); */

      Suspect::create($request->all());

        return redirect()->route('suspect.index')
          ->with(['success' => 'Data Berhasil disimpan']);
    }

    /**
     * Display the specified resource.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function show($id)
    {
        //
    }

    /**
     * Show the form for editing the specified resource.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function edit(Suspect $suspect)
    {
        return view('modules.suspect.edit', compact('suspect'));
    }

    /**
     * Update the specified resource in storage.
     *
     * @param  \Illuminate\Http\Request  $request
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function update(Request $request, Suspect $suspect)
    {
        // Validasi disini
        $suspect->update($request->all());
        
        return redirect()->route('suspect.index');
    }

    /**
     * Remove the specified resource from storage.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function destroy(Suspect $suspect)
    {
        $suspect->delete();
      
        return redirect()->route('suspect.index');
    }
}

resources/views/modules/suspect/create.blade.php
@extends('layouts.master')

@section('content')

        <!-- ============================================================== -->
        <!-- Page wrapper  -->
        <!-- ============================================================== -->
        <div class="page-wrapper">
            <!-- ============================================================== -->
            <!-- Bread crumb and right sidebar toggle -->
            <!-- ============================================================== -->
            <div class="page-breadcrumb">
                <div class="row">
                    <div class="col-5 align-self-center">
                        <div class="d-flex align-items-center">

                        </div>
                    </div>
                    <div class="col-7 align-self-center">
                        <div class="d-flex no-block justify-content-end align-items-center">
                            <nav aria-label="breadcrumb">
                                <ol class="breadcrumb">
                                    <li class="breadcrumb-item">
                                        <a href="#">SPDP</a>
                                    </li>
                                    <li class="breadcrumb-item active" aria-current="page">Input Tersangka</li>
                                </ol>
                            </nav>
                        </div>
                    </div>
                </div>
            </div>
            <!-- ============================================================== -->
            <!-- End Bread crumb and right sidebar toggle -->
            <!-- ============================================================== -->
            <!-- ============================================================== -->
            <!-- Container fluid  -->
            <!-- ============================================================== -->
            <div class="container-fluid">

                <!-- CONTENT DISINI -->

                 <!-- Row -->
                <div class="row">
                    <div class="col-lg-12">
                        <div class="card">
                            <div class="card-header bg-info">
                                <h4 class="m-b-0 text-white">Input Data Tersangka</h4>
                            </div>
                            <form action="{{ route('suspect.store') }}" method="post">
                                {{ csrf_field() }}
                                <div class="form-body">
                                    <div class="card-body">
                                        <div class="row p-t-20">
                                            <div class="col-md-6">
                                                <div class="form-group">
                                                    <label class="control-label">NIK</label>
                                                    <input type="text" class="form-control" name="nik" placeholder="NIK Tersangka">
                                                </div>
                                            </div>
                                            <!--/span-->
                                            <div class="col-md-6">
                                                <div class="form-group">
                                                    <label class="control-label {{ $errors->has('nama') ? 'has-error' : '' }}">Nama Lengkap</label>
                                                    <input type="text" id="firstName" class="form-control" name="nama" placeholder="Nama Lengkap dengan Bin/Binti">
                                                    <span>{{ $errors->first('nama') }}</span>
                                                </div>
                                            </div>
                                            <!--/span-->
                                        </div>
                                        <!--/row-->
                                        <br>
                                        <div class="row">
                                            <div class="col-md-6">
                                                <div class="form-group">
                                                    <label class="control-label {{ $errors->has('tempat_lahir') ? 'has-error' : '' }}">Tempat Lahir</label>
                                                    <input type="text" class="form-control" name="tempat_lahir" placeholder="Tempat Lahir">
                                                    <span>{{ $errors->first('tempat_lahir') }}</span>
                                                </div>
                                            </div>
                                            <!--/span-->
                                            <div class="col-md-6">
                                                <div class="form-group">
                                                    <label class="control-label {{ $errors->has('tanggal_lahir') ? 'has-error' : '' }}">Tanggal Lahir</label>
                                                    <input type="date" class="form-control" name="tanggal_lahir" placeholder="Tanggal Lahir">
                                                    <span>{{ $errors->first('tanggal_lahir') }}</span>
                                                </div>
                                            </div>
                                            <!--/span-->
                                        </div>

                                        <br>
                                        <div class="row">
                                            <div class="col-md-6">
                                                <div class="form-group">
                                                    <label class="control-label {{ $errors->has('kelamin') ? 'has-error' : '' }}">Jenis Kelamin</label>
                                                    <select class="form-control custom-select" name="kelamin">
                                                        <option value="">Pilih Jenis Kelamin</option>
                                                        <option value="1">Laki-laki</option>
                                                        <option value="2">Perempuan</option>
                                                    </select>
                                                    <span>{{ $errors->first('kelamin') }}</span>
                                                </div>
                                            </div>
                                            <!--/span-->
                                            <div class="col-md-6">
                                                <div class="form-group">
                                                    <label class="control-label {{ $errors->has('kebangsaan') ? 'has-error' : '' }}">Kebangsaan</label>
                                                    <input type="text" class="form-control" name="kebangsaan" placeholder="Kebangsaan">
                                                    <span>{{ $errors->first('kebangsaan') }}</span>
                                                </div>
                                            </div>
                                            <!--/span-->
                                        </div>

                                        <br>
                                        <div class="row">
                                            <div class="col-md-6">
                                                <div class="form-group">
                                                    <label class="control-label {{ $errors->has('agama') ? 'has-error' : '' }}">Agama</label>
                                                    <select class="form-control custom-select" name="agama">
                                                        <option value="">Pilih Jenis Agama</option>
                                                        <option value="Islam">Islam</option>
                                                        <option value="Katolik">Katolik</option>
                                                        <option value="Protestan">Protestan</option>
                                                        <option value="Hindu">Hindu</option>
                                                        <option value="Budha">Budha</option>
                                                    </select>
                                                    <span>{{ $errors->first('agama') }}</span>
                                                </div>
                                            </div>
                                            <!--/span-->
                                            <div class="col-md-6">
                                                <div class="form-group">
                                                    <label class="control-label {{ $errors->has('pendidikan') ? 'has-error' : '' }}">Pendidikan</label>
                                                    <input type="text" class="form-control" name="pendidikan" placeholder="Pendidikan">
                                                    <span>{{ $errors->first('pendidikan') }}</span>
                                                </div>
                                            </div>
                                            <!--/span-->
                                        </div>

                                        <br>
                                        <div class="row">
                                            <div class="col-md-6">
                                                <div class="form-group">
                                                    <label class="control-label {{ $errors->has('pekerjaan') ? 'has-error' : '' }}">Pekerjaan</label>
                                                    <input type="text" class="form-control" name="pekerjaan" placeholder="Pekerjaan">
                                                    <span>{{ $errors->first('tempat_lahir') }}</span>
                                                </div>
                                            </div>
                                            <!--/span-->
                                            <div class="col-md-6">
                                                <div class="form-group">
                                                    <label class="control-label {{ $errors->has('phone') ? 'has-error' : '' }}">Telepon</label>
                                                    <input type="text" class="form-control" name="phone" placeholder="Telepon/HP">
                                                    <span>{{ $errors->first('phone') }}</span>
                                                </div>
                                            </div>
                                            <!--/span-->
                                        </div>

                                        <br>
                                        <div class="row">
                                            <div class="col-md-12">
                                                <div class="form-group">
                                                    <label class="control-label">Alamat</label>
                                                    <textarea name="alamat" class="form-control" rows="4"></textarea>
                                                </div>
                                            </div>
                                        </div>

                                    </div>

                                    <div class="form-actions">
                                        <div class="card-body">
                                            <button type="submit" class="btn btn-success"> <i class="fa fa-check"></i> Simpan</button>
                                            <button type="button" class="btn btn-dark" onclick="window.history.back();">Batal</button>
                                        </div>
                                    </div>
                                </div>
                            </form>
                        </div>
                    </div>
                </div>
           
            </div>
            <!-- ============================================================== -->
            <!-- End Container fluid  -->
            <!-- ============================================================== -->
       </div>
        <!-- ============================================================== -->
        <!-- End Page wrapper  -->
        <!-- ============================================================== -->

        <!-- Disini Footer -->
    </div>
    <!-- ============================================================== -->
    <!-- End Wrapper -->
    <!-- ============================================================== -->

@endsection

resources/views/modules/suspect/index.blade.php
@extends('layouts.master')

@push('styles')

<link href="{{ asset('assets/libs/datatables.net-bs4/css/dataTables.bootstrap4.css') }}" rel="stylesheet">

@endpush

@section('content')

        <!-- ============================================================== -->
        <!-- Page wrapper  -->
        <!-- ============================================================== -->
        <div class="page-wrapper">
            <!-- ============================================================== -->
            <!-- Bread crumb and right sidebar toggle -->
            <!-- ============================================================== -->
            <div class="page-breadcrumb">
                <div class="row">
                    <div class="col-5 align-self-center">
                        <h4 class="page-title">Daftar Tersangka</h4>
                        <div class="d-flex align-items-center">

                        </div>
                    </div>
                    <div class="col-7 align-self-center">
                        <div class="d-flex no-block justify-content-end align-items-center">
                            <nav aria-label="breadcrumb">
                                <ol class="breadcrumb">
                                    <li class="breadcrumb-item">
                                        <a href="#">Pra Penuntutan</a>
                                    </li>
                                    <li class="breadcrumb-item active" aria-current="page">Tersangka</li>
                                </ol>
                            </nav>
                        </div>
                    </div>
                </div>
            </div>
            <!-- ============================================================== -->
            <!-- End Bread crumb and right sidebar toggle -->
            <!-- ============================================================== -->
            <!-- ============================================================== -->
            <!-- Container fluid  -->
            <!-- ============================================================== -->
            <div class="container-fluid">

                <!-- CONTENT DISINI -->
                <div align="right" style="margin-bottom: 10px">
                    <a href="{{ route('suspect.create') }}" class="btn btn-primary btn-rounded btn-xs"><i class="fa fa-pencil-alt"></i> INPUT TERSANGKA </a>
                </div>

                <!-- scroll horizontal & vertical -->
                <div class="row">
                    <div class="col-12">
                        <div class="card">
                            <div class="card-body">
                                <div class="table-responsive">
                                    <table id="scroll_ver_hor" class="table table-striped table-bordered display nowrap" style="width:100%">
                                        <thead>
                                            <tr>
                                                <th width="5%">No</th>
                                                <th width="20%">Nama</th>
                                                <th width="10%">Tempat Lahir</th>
                                                <th width="10%">Tgl.Lahir</th>
                                                <th width="10%">J.Kelamin</th>
                                                <th width="20%">Alamat</th>
                                                <th width="10%">Telepon</th>
                                                <th width="10%">Action</th>
                                            </tr>
                                        </thead>
                                        <tbody>
                                            @foreach($suspect as $m)
                                            <tr>
                                                <td align="center">{{ ++$i }}</td>
                                                <td>{{ $m->nama }}</td>
                                                <td>{{ $m->tempat_lahir }}</td>
												<td align="center">{{ $m->tanggal_lahir }}</td>
                                                <td align="center">{{ $m->jenkelamin }}</td>
                                                <td>{{ $m->alamat }}</td>
                                                <td align="center">{{ $m->phone }}</td>
                                                <td align="center">
                                                    <form action="{{ route('suspect.destroy', $m->id) }}" method="post">
                                                        <a href="{{ route('suspect.edit', $m->id) }}" class="btn btn-warning btn-xs"><i class="fa fa-edit"></i> </a>
                                                        @csrf
                                                        @method('DELETE')
                                                        <button type="submit" class="btn btn-danger btn-xs"><i class="fa fa-times-circle"></i> </button>
                                                    </form>
                                                </td>
                                            </tr>
                                            @endforeach
                                        </tbody>
                                    </table>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
            <!-- ============================================================== -->
            <!-- End Container fluid  -->
            <!-- ============================================================== -->
       </div>
        <!-- ============================================================== -->
        <!-- End Page wrapper  -->
        <!-- ============================================================== -->

        <!-- Disini Footer -->
    </div>
    <!-- ============================================================== -->
    <!-- End Wrapper -->
    <!-- ============================================================== -->

@endsection

@push('scripts')
    <script src="{{ asset('assets/extra-libs/DataTables/datatables.min.js') }}"></script>
    <script src="{{ asset('dist/js/pages/datatable/datatable-basic.init.js') }}"></script>
@endpush